> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.synthesia.io/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.synthesia.io/docs/_mcp/server.

# Get video translations of a given root video id

GET https://api.synthesia.io/v2/translations/{root_video_id}

Returns the translation status for each language associated with the given studio video. Each entry has a `status` of `complete`, `in_progress`, or `error`. Active state takes priority: a re-triggered language appears as `in_progress`, not `complete`.

Reference: https://developers.synthesia.io/docs/video-api-reference/translations/get-video-translations-of-a-given-root-video-id

## Authentication

- `Authorization` header (required) — API Key authentication via header

## Request

### Path parameters

- `root_video_id` (string, required) — The ID of the studio video.

## Response

### 200

OK – translation statuses for all languages.

- `id` (string, required)
- `translations` (list of GetVideoTranslationsApiResponseTranslationsItems, required)

## Errors

### 400 Bad Request Error

Bad Request – wrong video type or translations not available for this workspace plan.

- `error` (string, required)
- `context` (string, optional)

### 403 Forbidden Error

Forbidden – wrong API key or user lacks view permission for the video.

- `error` (string, required)
- `context` (string, optional)

### 404 Not Found Error

Not Found – video not found or Translations API disabled.

- `error` (string, required)
- `context` (string, optional)

## Types

### GetVideoTranslationsApiResponseTranslationsItems

- `status`: `complete` (TranslationStatusApiItemSuccess)
  - `language` (string, required)
  - `step` (enum, required)
    - Allowed values: `translation`
- `status`: `error` (TranslationStatusApiItemError)
  - `errorCode` (enum, required)
    - Allowed values: `translation_failed`, `asset_not_found`
  - `language` (string, required)
- `status`: `in_progress` (TranslationStatusApiItemSuccess)
  - `language` (string, required)
  - `step` (enum, required)
    - Allowed values: `translation`

## Examples

**Response**

```json
{
  "id": "string",
  "translations": [
    {
      "status": "in_progress",
      "language": "string",
      "step": "translation"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.synthesia.io/v2/translations/root_video_id"

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.synthesia.io/v2/translations/root_video_id';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthesia.io/v2/translations/root_video_id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.synthesia.io/v2/translations/root_video_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.synthesia.io/v2/translations/root_video_id")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.synthesia.io/v2/translations/root_video_id', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.synthesia.io/v2/translations/root_video_id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthesia.io/v2/translations/root_video_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```